Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkShrinkFilter Class Reference

`#include <vtkShrinkFilter.h>`

Inheritance diagram for vtkShrinkFilter:

[legend]
Collaboration diagram for vtkShrinkFilter:

[legend]
List of all members.

## Detailed Description

shrink cells composing an arbitrary data set

Date:
  2002/01/22 15:29:44

Revision:
  1.44

vtkShrinkFilter shrinks cells composing an arbitrary data set towards their centroid. The centroid of a cell is computed as the average position of the cell points. Shrinking results in disconnecting the cells from one another. The output of this filter is of general dataset type vtkUnstructuredGrid.

Warning:
  It is possible to turn cells inside out or cause self intersection in special cases.

See also:
  vtkShrinkPolyData

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Schroeder, Will (56%)
  - Martin, Ken (21%)
  - Lee, Jeff (6%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkShrinkFilter.h)`
  - .`cxx` (`/Graphics/vtkShrinkFilter.cxx)`

Examples:
  vtkShrinkFilter (Examples)

Tests:
  vtkShrinkFilter (Tests)

Definition at line 60 of file vtkShrinkFilter.h.

## Public Types
typedef vtkDataSetToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetShrinkFactor (float)
virtual float | GetShrinkFactor ()
## Static Public Methods
vtkShrinkFilter * | New ()
int | IsTypeOf (const char *type)
vtkShrinkFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkShrinkFilter (float sf=0.5)
| ~vtkShrinkFilter ()
void | Execute ()
## Protected Attributes
float | ShrinkFactor

## Member Typedef Documentation

typedef vtkDataSetToUnstructuredGridFilter vtkShrinkFilter::Superclass

| Reimplemented from vtkDataSetToUnstructuredGridFilter. Definition at line 64 of file vtkShrinkFilter.h.

## Constructor & Destructor Documentation

vtkShrinkFilter::vtkShrinkFilter | ( | float | sf = 0.5 | ) | `[protected]`

vtkShrinkFilter::~vtkShrinkFilter | ( |  | ) | `[inline, protected]`

| Definition at line 79 of file vtkShrinkFilter.h.

## Member Function Documentation

vtkShrinkFilter* vtkShrinkFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkShrinkFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

int vtkShrinkFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

virtual int vtkShrinkFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

vtkShrinkFilter* vtkShrinkFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

void vtkShrinkFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToUnstructuredGridFilter.

virtual void vtkShrinkFilter::SetShrinkFactor | ( | float |  | ) | `[virtual]`

| Set the fraction of shrink for each cell.

virtual float vtkShrinkFilter::GetShrinkFactor | ( |  | ) | `[virtual]`

| Get the fraction of shrink for each cell.

void vtkShrinkFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkShrinkFilter::ShrinkFactor`[protected]`

| Definition at line 82 of file vtkShrinkFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkShrinkFilter.h